MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031364Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-02-10 10:292020-02-23 12:25
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031364: Foundation Classes - unused enumerations in GeomAbs package
DescriptionFiles GeomAbs_CurveForm.hxx, GeomAbs_SurfaceForm.hxx, GeomAbs_UVSense.hxx define enums which are never used, so can be deleted
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0090443)
git (administrator)
2020-02-10 10:32

Branch CR31364 has been created by abv.

SHA-1: fff893c8e044d6bde5c2d363baabececf9e02c7d


Detailed log of new commits:

Author: abv
Date: Mon Feb 10 10:29:57 2020 +0300

    0031364: Foundation Classes - unused header file GeomAbs_CurveForm.hxx
    
    File GeomAbs_CurveForm.hxx is removed
(0090450)
git (administrator)
2020-02-10 12:00

Branch CR31364 has been updated forcibly by abv.

SHA-1: 7ffea781c32f2f84b25bf6c090a92137a65c32ee
(0090457)
abv (manager)
2020-02-10 15:50

Fix pushed to CR31364 (OCCT and Products) and tested, see Jenkins job CR31364-abv; please review
(0090490)
bugmaster (administrator)
2020-02-12 13:54

Tested in framework of WEEK-7

Combination -
OCCT branch : WEEK-7
master SHA - ed81d053016438d0b36485eefa9da2a90616f824
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-7 SHA - fa93736d0dfc60600eb038f1a228db0ca19b8500
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16972.490000000067 / 16995.740000000096 [-0.14%]
Products
Total CPU difference: 11439.249999999975 / 11455.569999999962 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 18436.9375 / 18439.6875 [-0.01%]
Products
Total CPU difference: 13329.09375 / 13351.46875 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090653)
git (administrator)
2020-02-23 12:25

Branch CR31364 has been deleted by inv.

SHA-1: 7ffea781c32f2f84b25bf6c090a92137a65c32ee

- Related Changesets
occt: master 18348b38
Timestamp: 2020-02-10 07:29:57
Author: abv
Committer: bugmaster
Details ] Diff ]
0031364: Foundation Classes - unused enumerations in GeomAbs package

Files GeomAbs_CurveForm.hxx, GeomAbs_SurfaceForm.hxx, GeomAbs_UVSense.hxx are removed
mod - src/Geom/Geom_ConicalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_CylindricalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_Plane.cxx Diff ] File ]
mod - src/Geom/Geom_ToroidalSurface.cxx Diff ] File ]
mod - src/GeomAbs/FILES Diff ] File ]
rm - src/GeomAbs/GeomAbs_CurveForm.hxx Diff ] File ]
rm - src/GeomAbs/GeomAbs_SurfaceForm.hxx Diff ] File ]
rm - src/GeomAbs/GeomAbs_UVSense.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-10 10:29 abv New Issue
2020-02-10 10:29 abv Assigned To => abv
2020-02-10 10:32 git Note Added: 0090443
2020-02-10 11:43 abv Summary Foundation Classes - unused header file GeomAbs_CurveForm.hxx => Foundation Classes - unused enumerations
2020-02-10 11:43 abv Description Updated View Revisions
2020-02-10 12:00 git Note Added: 0090450
2020-02-10 12:00 abv Summary Foundation Classes - unused enumerations => Foundation Classes - unused enumerations in GeomAbs package
2020-02-10 15:50 abv Note Added: 0090457
2020-02-10 15:50 abv Assigned To abv => kgv
2020-02-10 15:50 abv Status new => resolved
2020-02-10 15:50 abv Steps to Reproduce Updated View Revisions
2020-02-10 16:02 kgv Assigned To kgv => bugmaster
2020-02-10 16:02 kgv Severity minor => integration request
2020-02-10 16:02 kgv Status resolved => reviewed
2020-02-12 13:54 bugmaster Note Added: 0090490
2020-02-12 13:54 bugmaster Status reviewed => tested
2020-02-12 13:57 bugmaster Test case number => Not required
2020-02-15 14:55 bugmaster Changeset attached => occt master 18348b38
2020-02-15 14:55 bugmaster Status tested => verified
2020-02-15 14:55 bugmaster Resolution open => fixed
2020-02-23 12:25 git Note Added: 0090653


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker